!!  Copyright (C) 2012 Jihuan Tian <tianjh04@gmail.com> and Ling Zhang
!!  <zhangling06@mails.tsinghua.edu.cn>
!!   
!!  This file is part of SPCNDG.
!!
!!  SPCNDG is free software: you can redistribute it and/or modify
!!  it under the terms of the GNU General Public License as published by
!!  the Free Software Foundation, either version 3 of the License, or
!!  (at your option) any later version.
!!
!!  SPCNDG is distributed in the hope that it will be useful,
!!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!!  GNU General Public License for more details.
!!
!!  You should have received a copy of the GNU General Public License
!!  along with SPCNDG.  If not, see <http://www.gnu.org/licenses/>.

module Defs
  ! Define data type and physical or mathematical constants
  implicit none
  
  ! input and output files
  character(len=9), parameter :: in_file = "input.dat" ! input file name
  character(len=11), parameter :: out_file = "dg_test.dat" ! output file name
  character(len=10), parameter :: err_file = "errors.dat"    ! error file name
  character(len=7), parameter :: log_file = "log.dat"        ! log file
  integer, parameter :: in_file_id = 10                    ! input file id
  integer, parameter :: out_file_id = 20                   ! output file id
  integer, parameter :: err_file_id = 30                   ! error file id
  integer, parameter :: log_file_id = 40                   ! log file id
  integer, parameter :: tmp_var_id = 100 ! temporary file id for dump variables

  integer, parameter :: STDIN = 5        ! standard input
  integer, parameter :: STDOUT = 6       ! standard output
  ! gnuplot command name: on windows system, it is pgnuplot.exe by default
  character(len=200) :: gnuplot
end module Defs
